# ------------- -------------------------------------------------------------
# ---------------------- How would you describe yourself? -------------------
# ------------- -------------------------------------------------------------
fossanalyze.selfdescr_all <- function ( saveFile=FALSE, file="selfdescr_all") {

nm <- foss$RB_DESCRIBE_YOURSELF

selfdescrVector <- c(length(nm[nm %in% grep(selfdescr[1], nm, value=TRUE)]),
         length(nm[nm %in% grep(selfdescr[2], nm, value=TRUE)]),
         length(nm[nm %in% grep(selfdescr[3], nm, value=TRUE)]))

# wenn "saveFile", dann in png "file" abspeichern:
if (saveFile) png(paste(file, "png", sep="."), width=600, height=600)

barplot(selfdescrVector,
     names.arg = selfdescrLab,
     main="What are your main roles in your FOSS project?",     
     xlab="Description", 
     ylab="Number of participants",
     ylim = c(0,60),
     col="lightskyblue")     

grid(3, NULL)

# wenn "saveFile", stop output-redirection to file 
if (saveFile) dev.off()

}

fossanalyze.selfdescr_all(TRUE)
